{
  "model": {
    "type": "minecraft:composite",
    "models": [
      {
        "type": "minecraft:condition",
        "property": "minecraft:component",
        "predicate": "minecraft:enchantments",
        "value": [
          {
            "enchantments": "minecraft:infinity"
          },
          {
            "enchantments": "minecraft:flame"
          },
          {
            "enchantments": "minecraft:power",
            "levels": 5
          }
        ],
        "on_true": {
          "type": "minecraft:condition",
          "property": "minecraft:using_item",
          "on_true": {
            "type": "minecraft:range_dispatch",
            "property": "minecraft:use_duration",
            "scale": 0.05,
            "entries": [
              {
                "threshold": 0.65,
                "model": {
                  "type": "minecraft:model",
                  "model": "cit_new:item/tools/bow/infinity_flame_power_2"
                }
              },
              {
                "threshold": 0.9,
                "model": {
                  "type": "minecraft:model",
                  "model": "cit_new:item/tools/bow/infinity_flame_power_3"
                }
              }
            ],
            "fallback": {
              "type": "minecraft:model",
              "model": "cit_new:item/tools/bow/infinity_flame_power_1"
            }
          },
          "on_false": {
            "type": "minecraft:model",
            "model": "cit_new:item/tools/bow/infinity_flame_power"
          }
        },
        "on_false": {
          "type": "minecraft:condition",
          "property": "minecraft:component",
          "predicate": "minecraft:enchantments",
          "value": [
            {
              "enchantments": "minecraft:flame"
            },
            {
              "enchantments": "minecraft:power",
              "levels": 5
            }
          ],
          "on_true": {
            "type": "minecraft:condition",
            "property": "minecraft:using_item",
            "on_true": {
              "type": "minecraft:range_dispatch",
              "property": "minecraft:use_duration",
              "scale": 0.05,
              "entries": [
                {
                  "threshold": 0.65,
                  "model": {
                    "type": "minecraft:model",
                    "model": "cit_new:item/tools/bow/flame_power_2"
                  }
                },
                {
                  "threshold": 0.9,
                  "model": {
                    "type": "minecraft:model",
                    "model": "cit_new:item/tools/bow/flame_power_3"
                  }
                }
              ],
              "fallback": {
                "type": "minecraft:model",
                "model": "cit_new:item/tools/bow/flame_power_1"
              }
            },
            "on_false": {
              "type": "minecraft:model",
              "model": "cit_new:item/tools/bow/flame_power"
            }
          },
          "on_false": {
            "type": "minecraft:condition",
            "property": "minecraft:component",
            "predicate": "minecraft:enchantments",
            "value": [
              {
                "enchantments": "minecraft:infinity"
              },
              {
                "enchantments": "minecraft:flame"
              }
            ],
            "on_true": {
              "type": "minecraft:condition",
              "property": "minecraft:using_item",
              "on_true": {
                "type": "minecraft:range_dispatch",
                "property": "minecraft:use_duration",
                "scale": 0.05,
                "entries": [
                  {
                    "threshold": 0.65,
                    "model": {
                      "type": "minecraft:model",
                      "model": "cit_new:item/tools/bow/infinity_flame_2"
                    }
                  },
                  {
                    "threshold": 0.9,
                    "model": {
                      "type": "minecraft:model",
                      "model": "cit_new:item/tools/bow/infinity_flame_3"
                    }
                  }
                ],
                "fallback": {
                  "type": "minecraft:model",
                  "model": "cit_new:item/tools/bow/infinity_flame_1"
                }
              },
              "on_false": {
                "type": "minecraft:model",
                "model": "cit_new:item/tools/bow/infinity_flame"
              }
            },
            "on_false": {
              "type": "minecraft:condition",
              "property": "minecraft:component",
              "predicate": "minecraft:enchantments",
              "value": [
                {
                  "enchantments": "minecraft:infinity"
                },
                {
                  "enchantments": "minecraft:power",
                  "levels": 5
                }
              ],
              "on_true": {
                "type": "minecraft:condition",
                "property": "minecraft:using_item",
                "on_true": {
                  "type": "minecraft:range_dispatch",
                  "property": "minecraft:use_duration",
                  "scale": 0.05,
                  "entries": [
                    {
                      "threshold": 0.65,
                      "model": {
                        "type": "minecraft:model",
                        "model": "cit_new:item/tools/bow/infinity_power_2"
                      }
                    },
                    {
                      "threshold": 0.9,
                      "model": {
                        "type": "minecraft:model",
                        "model": "cit_new:item/tools/bow/infinity_power_3"
                      }
                    }
                  ],
                  "fallback": {
                    "type": "minecraft:model",
                    "model": "cit_new:item/tools/bow/infinity_power_1"
                  }
                },
                "on_false": {
                  "type": "minecraft:model",
                  "model": "cit_new:item/tools/bow/infinity_power"
                }
              },
              "on_false": {
                "type": "minecraft:condition",
                "property": "minecraft:component",
                "predicate": "minecraft:enchantments",
                "value": [
                  {
                    "enchantments": "minecraft:flame"
                  }
                ],
                "on_true": {
                  "type": "minecraft:condition",
                  "property": "minecraft:using_item",
                  "on_true": {
                    "type": "minecraft:range_dispatch",
                    "property": "minecraft:use_duration",
                    "scale": 0.05,
                    "entries": [
                      {
                        "threshold": 0.65,
                        "model": {
                          "type": "minecraft:model",
                          "model": "cit_new:item/tools/bow/flame_2"
                        }
                      },
                      {
                        "threshold": 0.9,
                        "model": {
                          "type": "minecraft:model",
                          "model": "cit_new:item/tools/bow/flame_3"
                        }
                      }
                    ],
                    "fallback": {
                      "type": "minecraft:model",
                      "model": "cit_new:item/tools/bow/flame_1"
                    }
                  },
                  "on_false": {
                    "type": "minecraft:model",
                    "model": "cit_new:item/tools/bow/flame"
                  }
                },
                "on_false": {
                  "type": "minecraft:condition",
                  "property": "minecraft:component",
                  "predicate": "minecraft:enchantments",
                  "value": [
                    {
                      "enchantments": "minecraft:infinity"
                    }
                  ],
                  "on_true": {
                    "type": "minecraft:condition",
                    "property": "minecraft:using_item",
                    "on_true": {
                      "type": "minecraft:range_dispatch",
                      "property": "minecraft:use_duration",
                      "scale": 0.05,
                      "entries": [
                        {
                          "threshold": 0.65,
                          "model": {
                            "type": "minecraft:model",
                            "model": "cit_new:item/tools/bow/infinity_2"
                          }
                        },
                        {
                          "threshold": 0.9,
                          "model": {
                            "type": "minecraft:model",
                            "model": "cit_new:item/tools/bow/infinity_3"
                          }
                        }
                      ],
                      "fallback": {
                        "type": "minecraft:model",
                        "model": "cit_new:item/tools/bow/infinity_1"
                      }
                    },
                    "on_false": {
                      "type": "minecraft:model",
                      "model": "cit_new:item/tools/bow/infinity"
                    }
                  },
                  "on_false": {
                    "type": "minecraft:condition",
                    "property": "minecraft:component",
                    "predicate": "minecraft:enchantments",
                    "value": [
                      {
                        "enchantments": "minecraft:power",
                        "levels": 5
                      }
                    ],
                    "on_true": {
                      "type": "minecraft:condition",
                      "property": "minecraft:using_item",
                      "on_true": {
                        "type": "minecraft:range_dispatch",
                        "property": "minecraft:use_duration",
                        "scale": 0.05,
                        "entries": [
                          {
                            "threshold": 0.65,
                            "model": {
                              "type": "minecraft:model",
                              "model": "cit_new:item/tools/bow/power_2"
                            }
                          },
                          {
                            "threshold": 0.9,
                            "model": {
                              "type": "minecraft:model",
                              "model": "cit_new:item/tools/bow/power_3"
                            }
                          }
                        ],
                        "fallback": {
                          "type": "minecraft:model",
                          "model": "cit_new:item/tools/bow/power_1"
                        }
                      },
                      "on_false": {
                        "type": "minecraft:model",
                        "model": "cit_new:item/tools/bow/power"
                      }
                    },
                    "on_false": {
                      "type": "minecraft:condition",
                      "property": "minecraft:using_item",
                      "on_true": {
                        "type": "minecraft:range_dispatch",
                        "property": "minecraft:use_duration",
                        "scale": 0.05,
                        "entries": [
                          {
                            "threshold": 0.65,
                            "model": {
                              "type": "minecraft:model",
                              "model": "minecraft:item/bow_pulling_1"
                            }
                          },
                          {
                            "threshold": 0.9,
                            "model": {
                              "type": "minecraft:model",
                              "model": "minecraft:item/bow_pulling_2"
                            }
                          }
                        ],
                        "fallback": {
                          "type": "minecraft:model",
                          "model": "minecraft:item/bow_pulling_0"
                        }
                      },
                      "on_false": {
                        "type": "minecraft:model",
                        "model": "minecraft:item/bow"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    ]
  }
}